import Node
import Topic
import Message
import Packet
import Test

def initialize(context):
    '''Initialise the ZMessageQueue package'''
    context.registerClass(Node.ZQueueNode,
        constructors = (Node.manage_addZQueueNode,)
        )
    context.registerClass(Topic.ZQueueTopic,
        constructors = (Topic.manage_addZQueueTopic,)
        )
    context.registerClass(Message.ZQueueMessage,
        constructors = (Message.manage_addZQueueMessage,)
        )
    context.registerClass(Packet.ZQueuePacket,
        constructors = (Packet.manage_addZQueuePacket,)
        )
    context.registerClass(Node.ZQueuePoller,
        constructors = (Node.manage_addZQueuePoller,)
        )
    context.registerClass(Test.ZQueueTest,
        constructors = (Test.manage_addZQueueTest,)
        )
        